set dirValue "C:\\Program Files\\UTAU\\voice"	;# 最初に選択されるディレクトリ名。デイレクトリの区切り記号には"/"または"\\"を使うこと。デイレクトリ名に"$[]{}"の文字がある場合はその文字の直前に"\"を入れること。
set OUTFILE {$dirValue/analyzeresult.ini}	;# 解析結果の保存先。デイレクトリの区切り記号には"/"または"\\"を使うこと。ファイル名に"$[]{}"の文字がある場合はその文字の直前に"\"を入れること。$dirValueを指定すると選択したディレクトリになる(ただしファイル名は'""'ではなく'{}'で囲むこと)。
# set OUTFILE {$dirValue/oto.ini}		;# 解析結果の保存先。デイレクトリの区切り記号には"/"または"\\"を使うこと。ファイル名に"$[]{}"の文字がある場合はその文字の直前に"\"を入れること。$dirValueを指定すると選択したディレクトリになる(ただしファイル名は'""'ではなく'{}'で囲むこと)。
set DISDIRNAME 1				;# 1で解析結果の先頭に原音ファイルのあるディレクトリ名を記録しない

set DISPVER 0					;# 1でバージョンを表示する
set DISPFILE 1					;# 1で処理したファイル名を表示する
set ENFILTER 1					;# 1で解析時にフィルタを使用する
set FILTERDELAY 0				;# 1でフィルタの遅延を考慮する
# set OUTFORM ""				;# ""で出力桁数の制限なしで出力する。
set OUTFORM "%s=%s,%.1f,%.1f,%.1f,%.1f,%.1f"	;# ""で出力桁数の制限なしで出力する。

set RELTRIMLEVEL1 0.025				;# 無音と判断する最大音量からの倍率(音の開始時)
set RELTRIMLEVEL2 0.05				;# 無音と判断する最大音量からの倍率(音の終了時)
set MINTRIMLEVEL1 30				;# 無音と判断する基準値の最低値(音の開始時)
set MINTRIMLEVEL2 60				;# 無音と判断する基準値の最低値(音の終了時)
set PROBLEVEL1 0.95				;# 母音と判断するf0の自己相関係数
set FILTERDMINTRIMCOEFF 0.75			;# フィルタを使用した場合に判断値に掛ける係数
set FILTERDPROBLEVEL 0.25			;# フィルタを使用した場合に母音と判断するf0の自己相関係数

set tap2 44 					;# (タップ数-1)/2の値。この値の倍の値がフィルタの次数。フィルタ長はこの値の倍+1。
set fs 44100					;# サンプリング周波数
set fc1 1000					;# バンドパスフィルタの低い側の遮断周波数。ローパスフィルタにしたい場合はfc1の値を0にする
set fc2 22050					;# バンドパスフィルタの高い側の遮断周波数。ハイパスフィルタにしたい場合はfc2の値をfs/2にする

set MAXPITCH 400				;# Pitch検出の最大周波数
set MINPITCH 60					;# Pitch検出の最小周波数
set FRAMEINTERVAL 0.01				;# Frame間隔 (秒)

;# 音の開始時のノイズを判断しない音
set DISTRIM3TYPE "な,に,ぬ,ね,の,ま,み,む,め,も,ら,り,る,れ,ろ,ナ,ニ,ヌ,ネ,ノ,マ,ミ,ム,メ,モ,ラ,リ,ル,レ,ロ"
;# 子音部の音量が小さい音で子音部の先頭を削られると発音が変わる音
set LOWPWRTYPE "さ,し,す,せ,そ,ち,つ,は,ひ,ふ,へ,ほ,サ,シ,ス,セ,ソ,チ,ツ,ハ,ヒ,フ,ヘ,ホ"
# set LOWPWRTYPE "さ,し,す,せ,そ,ち,つ,は,ひ,ふ,へ,ほ,ざ,じ,ず,ぜ,ぞ"	;# 子音部の音量が小さい音で子音部の先頭を削られると発音が変わる音

set LOWPWRCOEFF 0.5						;# 子音部の音量が小さい音に対して判断値に掛ける係数

;# 先行発声・オーバラップ共に設定しない
set TYPE1 "あ,い,う,え,お,を,ん,ア,イ,ウ,エ,オ,ヲ,ン"
;# 頭にブランクを残してその分先行発声を設定
set TYPE2 "か,き,く,け,こ,た,て,と,てぃ,とぅ,が,ぎ,ぐ,げ,ご,だ,で,ど,ば,び,ぶ,べ,ぼ,ぱ,ぴ,ぷ,ぺ,ぽ,カ,キ,ク,ケ,コ,タ,テ,ト,ティ,トゥ,ガ,ギ,グ,ゲ,ゴ,ダ,デ,ド,バ,ビ,ブ,ベ,ボ,パ,ピ,プ,ペ,ポ"
;# 先行発声の値は子音部分の真ん中より右寄りに設定。オーバーラップは先行発声から左に50msec位に設定
set TYPE3 "さ,し,す,せ,そ,ざ,じ,ず,づ,ぜ,ぞ,サ,シ,ス,セ,ソ,ザ,ジ,ズ,ヅ,ゼ,ゾ"
;# 先行発声は値は子音部分の真ん中より右。オーバーラップは設定しない。
set TYPE4 "つ,つぁ,つぃ,つぇ,つぉ,ち,ちゃ,ちゅ,ちぇ,ちょ,ツ,ツァ,ツィ,ツェ,ツォ,チ,チャ,チュ,チェ,チョ"
;# 先行発声は値は頭から20〜25msec程度のところに設定。オーバーラップは頭の立ち上がり分くらい。
set TYPE5 "な,に,ぬ,ね,の,ま,み,む,め,も,や,ゆ,よ,いぇ,ら,り,る,れ,ろ,わ,ナ,ニ,ヌ,ネ,ノ,マ,ミ,ム,メ,モ,ヤ,ユ,ヨ,イェ,ラ,リ,ル,レ,ロ,ワ"
;# 先行発声の値は子音部分の真ん中より右寄り、サ行よりも母音部の頭に接近にさせて設定。オーバーラップは先行発声から左に50msec位に設定
set TYPE6 "は,ひ,へ,ほ,ふ,ふぁ,ふぃ,ふぇ,ふぉ,ハ,ヒ,ヘ,ホ,フ,ファ,フィ,フェ,フォ"
           

set TYPE2ADDBLANK 0.02					;# TYPE2で頭にブランクを残してその分先行発声を設定する場合のブランクを残す秒数
set TYPE3SENKORATE 0.6					;# TYPE3で検出した子音部の先行発声に割り当てる割合
set TYPE3OVERLAP 0.05					;# TYPE3で設定するオーバーラップから先行発声までの秒数の最大値
set TYPE4SENKORATE 0.6					;# TYPE4で検出した子音部の先行発声に割り当てる割合
set TYPE5SENKO 0.02					;# TYPE5で設定する先行発声の秒数
set TYPE5OVERLAP 0.01					;# TYPE5で設定するオーバーラップの秒数
set TYPE6SENKORATE 0.8					;# TYPE6で検出した子音部の先行発声に割り当てる割合
set TYPE6OVERLAP 0.05					;# TYPE6で設定するオーバーラップから先行発声までの秒数の最大値

# 解析処理開始前に1回だけ実行させるTclスクリプト
set startscript {
	set defTYPE3SENKORATE $TYPE3SENKORATE		;# TYPE3SENKORATEのデフォルトのパラメータ値をdefTYPE3SENKORATEに保存
	set defTYPE3OVERLAP $TYPE3OVERLAP		;# TYPE3OVERLAPのデフォルトのパラメータ値をdefTYPE3OVERLAPに保存
	set changecount1 0				;# ファイル名が"↑"で終わるwavファイルの個数を数えるためのカウンタの値を初期化
	set changecount2 0				;# ファイル名が"↓"で終わるwavファイルの個数を数えるためのカウンタの値を初期化
}

set startscript {}					;# 解析処理開始前に1回だけ実行させるTclスクリプト
set repeatscript {}					;# 各wavファイルの処理前に毎回実行させるTclスクリプト
set endscript {}					;# すべてのファイルの解析処理終了時に1回だけ実行させるTclスクリプト

set aliaslist {}					;#aliasを指定する。ファイル名とaliasを1組にして並べる。ファイル名は大文字・小文字を区別する。(.wavと.WAVは別物として扱うので注意)
